Summary:	SILK audio codec for mediastreamer
Summary(pl.UTF-8):	Kodek dźwięku SILK dla mediastreamera
Name:		mediastreamer-plugin-mssilk
Version:	1.1.1
Release:	4
License:	GPL v2+
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/mssilk/-/tags
#Source0:	https://gitlab.linphone.org/BC/public/mssilk/-/archive/%{version}/mssilk-%{version}.tar.bz2
Source0:	http://linphone.org/releases/old/sources/plugins/mssilk/mssilk-%{version}.tar.gz
# Source0-md5:	ad0b441fdd4d6b6a6db41c2b322d5691
Patch0:		%{name}-system-silk.patch
URL:		https://gitlab.linphone.org/BC/public/mssilk
BuildRequires:	SILK_SDK-devel >= 1.0.9
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	mediastreamer-devel >= 2.0.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
Requires:	SILK_SDK >= 1.0.9
Requires:	mediastreamer >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package supplies the mediastreamer plugin for the SILK audio
codec.

%description -l pl.UTF-8
Ten pakiet udostępnia wtyczkę mediastreamera do kodeka dźwięku SILK.

%prep
%setup -q -n mssilk-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins/libmssilk.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/mediastreamer/plugins/libmssilk.so*
%changelog
* Mon Jul 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer-plugin-mssilk.git;a=log;h=master

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 019ca39
- release 4 (mediastreamer 4)

* Sun Jul 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 2016b0a
- updated URLs

* Tue Jul 06 2021 Jan Rękorajski <baggins@pld-linux.org> 0dc5cde
- rediff patch, rel 3

* Tue Jul 06 2021 Jan Rękorajski <baggins@pld-linux.org> bfe3aa0
- Release 2 (by relup.sh)

* Sat Jun 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 83f14e9
- use aclocal macro dir

* Sat Sep 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> efbed02
- up to 1.1.1

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a2c9848
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cc64ab5
- release 2 (by relup.sh)

* Wed Nov 11 2015 Jakub Bogusz <qboosh@pld-linux.org> f7237d8
- updated to 1.0.2
- updated system-silk patch

* Fri Jul 31 2015 Jakub Bogusz <qboosh@pld-linux.org> a96bf8e
- updated to 1.0.1
- updated system-silk patch

* Thu Jul 09 2015 Jan Rękorajski <baggins@pld-linux.org> 4d8998c
- release 2 (by relup.sh)

* Sun Jul 07 2013 Jakub Bogusz <qboosh@pld-linux.org> d85a768
- new; with system-silk patch to build with system SILK_SDK

